<div class="container">
    <div class="row">
        <div class="col-md-3 ">
            <div class="list-group ">
                <a href="/profile" class="list-group-item list-group-item-action">Profile</a>
                <a href="/orders" class="list-group-item list-group-item-action">Porosite e Mia</a>
                <a href="/allusers" class="list-group-item list-group-item-action active" *ngIf="cuser.role==1">Te gjithe Perdoruesit</a>
                <a href="/myproducts" class="list-group-item list-group-item-action" *ngIf="cuser.role==1">Produktet e mia</a>
                <a href="/logout" class="list-group-item list-group-item-action">Logout</a>
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4>Te Gjithe Perdoruesit</h4>
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="well">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>First Name</th>
                                        <th>Last Name</th>
                                        <th>Email</th>
                                        <th style="width: 36px;"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let item of users | paginate: { itemsPerPage: 12, currentPage: p }">
                                        <td>1</td>
                                        <td>{{item.fname}}</td>
                                        <td>{{item.lname}}</td>
                                        <td>{{item.email}}</td>
                                        <td>
                                            <button (click)="open(showProfile, item.uid, 'show')"><i
                                                    class="icon-pencil"></i>Show</button>
                                            <button (click)="open(editProfile, item.uid, 'edit')"><i
                                                    class="icon-remove"></i>Edit</button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <pagination-controls (pageChange)="p = $event"></pagination-controls>

                        <ng-template #showProfile let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Show <span></span></h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Emri</div>
                                            <div class="col-9" id="showModalInfoFname"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Mbiemri</div>
                                            <div class="col-9" id="showModalInfoLname"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Email</div>
                                            <div class="col-9" id="showModalInfoEmail"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Gjinia</div>
                                            <div class="col-9" id="showModalInfoGender"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Telefon</div>
                                            <div class="col-9" id="showModalInfoMobile"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Adresa</div>
                                            <div class="col-9" id="showModalInfoAddress"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Roli</div>
                                            <div class="col-9" id="showModalInfoRole"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button>
                            </div>
                        </ng-template>
                        <ng-template #editProfile let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Show <span></span></h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <form [formGroup]="edituserForm" (ngSubmit)="updateUser(edituserForm.value)">
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Emri</div>
                                                <div class="col-9">
                                                    <input id="fname" name="fname" placeholder="First Name"
                                                        class="form-control here" required="required" type="text"
                                                        formControlName="fname">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Mbiemri</div>
                                                <div class="col-9">
                                                    <input id="lname" name="lname" placeholder="Last Name"
                                                        class="form-control here" type="text" formControlName="lname">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Gjinia</div>
                                                <div class="col-9">
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="radio" id="male"
                                                            value="male" name="gender" formControlName="gender">
                                                        <label class="form-check-label" for="male">Male</label>
                                                    </div>
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="radio" name="gender"
                                                            id="female" value="female" formControlName="gender">
                                                        <label class="form-check-label" for="female">Female</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Telefon</div>
                                                <div class="col-9">
                                                    <input id="mobile" name="mobile" placeholder="Mobile Number"
                                                        class="form-control here" type="text" formControlName="mobile">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Adresa</div>
                                                <div class="col-9">
                                                    <input id="address" name="address" placeholder="Address"
                                                        class="form-control here" required="required" type="text"
                                                        formControlName="address">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Roli</div>
                                                <div class="col-9">
                                                    <select class="form-select" name="role" id="role" formControlName="role">
                                                        <option value="2" selected>Perdorues</option>
                                                        <option value="1">Menaxher</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary"
                                        (click)="modal.dismiss()">Close</button>
                                    <button name="submit" type="submit" class="btn btn-primary">Ruaj</button>
                                </div>
                            </form>
                        </ng-template>
                        <div class="modal fade" id="editProfile" tabindex="-1" aria-labelledby="exampleModalLabel"
                            aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="editModalTitle">Edit <span></span></h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                            aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        ...
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            data-bs-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>